import 'package:firebase_auth/firebase_auth.dart';
import 'package:flutter/material.dart';
import 'package:google_sign_in/google_sign_in.dart';

class GoogleLoginPage extends StatefulWidget {
  GoogleLoginPage({Key key}) : super(key: key);

  @override
  _GoogleLoginPageState createState() => _GoogleLoginPageState();
}

class _GoogleLoginPageState extends State<GoogleLoginPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: buildBody(),
    );
  }

  buildBody() {
    return Center(
      child: RaisedButton(
        child: Text("Sign In With Google"),
        onPressed: () async {
          final googleSign = GoogleSignIn();
          final googleAccount = await googleSign.signIn();
          final authentication = await googleAccount.authentication;

          final AuthCredential credential = GoogleAuthProvider.credential(
            accessToken: authentication.accessToken,
            idToken: authentication.idToken,
          );

          final auth = FirebaseAuth.instance;
          await auth.signInWithCredential(credential);
        },
      ),
    );
  }
}
