import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:retgoo_sdk/models/directform.dart';
import 'package:retgoo_sdk/retgoo_sdk.dart';

class NotImplementedPage extends StatelessWidget {
  final DirectForm directForm;
  const NotImplementedPage({Key key, @required this.directForm})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return AnnotatedRegion(
      value: SystemUiOverlayStyle.light.copyWith(
        statusBarColor: Colors.transparent,
      ),
      child: DefaultTextStyle(
        style: DefaultTextStyle.of(context).style.copyWith(
              color: Colors.white,
            ),
        child: Container(
          color: Color(0xFF990000),
          alignment: Alignment.center,
          padding: const EdgeInsets.all(16.0),
          child: Column(
            mainAxisSize: MainAxisSize.min,
            mainAxisAlignment: MainAxisAlignment.center,
            crossAxisAlignment: CrossAxisAlignment.center,
            children: [
              Icon(
                CupertinoIcons.waveform_path_badge_minus,
                color: Colors.white,
                size: 56.0,
              ),
              const SizedBox(
                height: 8.0,
              ),
              Text(
                "lbl.not_implemented".tr,
                style: TextStyle(
                  fontSize: 28.0,
                  fontWeight: FontWeight.w900,
                ),
              ),
              Text(
                "lbl.not_implemented_description".tr,
                textAlign: TextAlign.center,
              ),
              const SizedBox(
                height: 48.0,
              ),
              Text("LOG"),
              Text(
                "${directForm.encodeTaskId}",
                textAlign: TextAlign.center,
                style: TextStyle(
                  fontSize: 10.0,
                  letterSpacing: 1.2,
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
